Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc.javaops
Class JavaOperatorTable

    java.lang.Object
      com.singularsys.jep.OperatorTable
          com.singularsys.jep.standard.StandardOperatorTable
              com.singularsys.jep.misc.bitwise.BitwiseOperatorTable
                  com.singularsys.jep.misc.javaops.JavaOperatorTable

All Implemented Interfaces:
  JepComponent, java.io.Serializable

    public class JavaOperatorTable

extends BitwiseOperatorTable

See Also:
  Serialized Form

Field Summary
`static int` | `javaBaseNumOps`
`static int` | `OP_ANDEQUAL`
`static int` | `OP_DIVIDEEQUAL`
`static int` | `OP_LSHIFTEQUAL`
`static int` | `OP_MINUSEQUAL`
`static int` | `OP_MODEQUAL`
`static int` | `OP_OREQUAL`
`static int` | `OP_PLUSEQUAL`
`static int` | `OP_POSTDEC`
`static int` | `OP_POSTINC`
`static int` | `OP_PREDEC`
`static int` | `OP_PREINC`
`static int` | `OP_RSHIFTEQUAL`
`static int` | `OP_TERNCOND`
`static int` | `OP_TIMESEQUAL`
`static int` | `OP_URSHIFTEQUAL`
`static int` | `OP_XOREQUAL`

Fields inherited from class com.singularsys.jep.misc.bitwise.BitwiseOperatorTable
`bitBaseNumOps, OP_BITAND, OP_BITCOMP, OP_BITOR, OP_BITXOR, OP_LSHIFT, OP_RSHIFT, OP_URSHIFT`

Fields inherited from class com.singularsys.jep.OperatorTable
`baseNumOps, numOps, OP_ADD, OP_AND, OP_ASSIGN, OP_CROSS, OP_DIVIDE, OP_DOT, OP_ELEMENT, OP_EQ, OP_GE, OP_GT, OP_LE, OP_LIST, OP_LT, OP_MOD, OP_MULTIPLY, OP_NE, OP_NEGATE, OP_NOP, OP_NOT, OP_OR, OP_POWER, OP_RANGE, OP_RECIP, OP_SUBTRACT, OP_UPLUS, ops`

Constructor Summary
`JavaOperatorTable()` A JavaOperatorTable with power represented as ** and xor as ^.
`JavaOperatorTable(java.lang.String powerSymbol)` A JavaOperatorTable with xor represented as ^ and power as the argument.
`JavaOperatorTable(java.lang.String powerSymbol, java.lang.String xorSymbol)` A JavaOperatorTable with power and xor represented by the arguments

Method Summary
`Operator` | `getAndEquals()`
`Operator` | `getDivideEquals()`
`Operator` | `getLShiftEquals()`
`Operator` | `getMinusEquals()`
`Operator` | `getModEquals()`
`Operator` | `getOrEquals()`
`Operator` | `getPlusEquals()`
`Operator` | `getPostDec()`
`Operator` | `getPostInc()`
`Operator` | `getPreDec()`
`Operator` | `getPreInc()`
`Operator` | `getRShiftEquals()`
`TernaryOperator` | `getTernCond()`
`Operator` | `getTimesEquals()`
`Operator` | `getURShiftEquals()`
`Operator` | `getXOrEquals()`

Methods inherited from class com.singularsys.jep.misc.bitwise.BitwiseOperatorTable
`getBitAnd, getBitComp, getBitOr, getBitXor, getLShift, getRShift, getURShift`

Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable
`init`

Methods inherited from class com.singularsys.jep.OperatorTable
`addOperator, addOperator, addOperator, addOperator, appendOperator, appendOperator, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, insertOperator, removeOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setNumOps, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OP_PREINC

    public static final int OP_PREINC

See Also:
  Constant Field Values

### OP_PREDEC

    public static final int OP_PREDEC

See Also:
  Constant Field Values

### OP_POSTINC

    public static final int OP_POSTINC

See Also:
  Constant Field Values

### OP_POSTDEC

    public static final int OP_POSTDEC

See Also:
  Constant Field Values

### OP_TERNCOND

    public static final int OP_TERNCOND

See Also:
  Constant Field Values

### OP_PLUSEQUAL

    public static final int OP_PLUSEQUAL

See Also:
  Constant Field Values

### OP_MINUSEQUAL

    public static final int OP_MINUSEQUAL

See Also:
  Constant Field Values

### OP_TIMESEQUAL

    public static final int OP_TIMESEQUAL

See Also:
  Constant Field Values

### OP_DIVIDEEQUAL

    public static final int OP_DIVIDEEQUAL

See Also:
  Constant Field Values

### OP_MODEQUAL

    public static final int OP_MODEQUAL

See Also:
  Constant Field Values

### OP_ANDEQUAL

    public static final int OP_ANDEQUAL

See Also:
  Constant Field Values

### OP_OREQUAL

    public static final int OP_OREQUAL

See Also:
  Constant Field Values

### OP_XOREQUAL

    public static final int OP_XOREQUAL

See Also:
  Constant Field Values

### OP_LSHIFTEQUAL

    public static final int OP_LSHIFTEQUAL

See Also:
  Constant Field Values

### OP_RSHIFTEQUAL

    public static final int OP_RSHIFTEQUAL

See Also:
  Constant Field Values

### OP_URSHIFTEQUAL

    public static final int OP_URSHIFTEQUAL

See Also:
  Constant Field Values

### javaBaseNumOps

    public static final int javaBaseNumOps

See Also:
  Constant Field Values

Constructor Detail

### JavaOperatorTable

    public JavaOperatorTable()

  A JavaOperatorTable with power represented as ** and xor as ^.

### JavaOperatorTable

    public JavaOperatorTable(java.lang.String powerSymbol)

  A JavaOperatorTable with xor represented as ^ and power as the argument.

  Parameters:
    `powerSymbol` - sequence used to represent power.

### JavaOperatorTable

    public JavaOperatorTable(java.lang.String powerSymbol,
                             java.lang.String xorSymbol)

  A JavaOperatorTable with power and xor represented by the arguments

  Parameters:
    `powerSymbol` - string used to represent power.
    `xorSymbol` - string used to represent xor.

Method Detail

### getPreInc

    public Operator getPreInc()

### getPreDec

    public Operator getPreDec()

### getPostInc

    public Operator getPostInc()

### getPostDec

    public Operator getPostDec()

### getTernCond

    public TernaryOperator getTernCond()

### getPlusEquals

    public Operator getPlusEquals()

### getMinusEquals

    public Operator getMinusEquals()

### getTimesEquals

    public Operator getTimesEquals()

### getDivideEquals

    public Operator getDivideEquals()

### getModEquals

    public Operator getModEquals()

### getAndEquals

    public Operator getAndEquals()

### getOrEquals

    public Operator getOrEquals()

### getXOrEquals

    public Operator getXOrEquals()

### getLShiftEquals

    public Operator getLShiftEquals()

### getRShiftEquals

    public Operator getRShiftEquals()

### getURShiftEquals

    public Operator getURShiftEquals()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep